
Infrastructure - Bug #2511

escaped '+' in query string (%2B) generating ServiceFailure for getLogRecords

2012-03-21 20:13 - Rob Nahf

Status: Closed Start date: 2012-03-21

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

calls to getLogRecords on gmn-dev that have an escaped '+' in the fromDate (and probably toDate) are throwing ServiceFailures.

Impact is that calls to getLogRecords from the CNs will get the entire log every time, instead of the latest slice.

compare:

https://gmn-dev.test.dataone.org/mn/v1/log?fromDate=2012-02-20T21:18:46%2B00:00

https://gmn-dev.test.dataone.org/mn/v1/log?fromDate=2012-02-20T21:18:46+00:00

however:

a generally-bad date throws the proper InvalidRequest

https://gmn-dev.test.dataone.org/mn/v1/log?fromDate=foooooooo2012-03-15T20:12:54+00:00

and 'fromDate' in listObjects is completely ignored, no matter what's in fromDate.  The following all return an ObjectList:

https://gmn-dev.test.dataone.org/mn/v1/object

https://gmn-dev.test.dataone.org/mn/v1/object?fromDate=2012-03-12T20:12:54.084+00:00

https://gmn-dev.test.dataone.org/mn/v1/object?fromDate=2012-03-12T20:12:54.084%2B00:00

https://gmn-dev.test.dataone.org/mn/v1/object?fromDate=foooooooo2012-03-12T20:12:54.084+00:00

see #2460

(dataone escapes '+' to avoid overloaded semantics where some url encoders escape space to '+')

History

#1 - 2012-03-28 16:00 - Roger Dahl

- Status changed from New to Closed
